## com.vividsolutions.jts.geom.prep
Class LineTopology

    java.lang.Object
      com.vividsolutions.jts.geom.prep.LineTopology

public class LineTopology
extends java.lang.Object

Constructor Summary
`LineTopology(Coordinate[] pts, GeometryFactory geomFact)`

Method Summary
`void` `addIntersection(Coordinate intPt, int segmentIndex)`
`Geometry` `getResult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineTopology

    public LineTopology(Coordinate[] pts,
                        GeometryFactory geomFact)

Method Detail

### addIntersection

    public void addIntersection(Coordinate intPt,
                                int segmentIndex)

### getResult

    public Geometry getResult()